
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "BacEventState.h"
#include "enum.bactypes.h"

BacEventState::BacEventState(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Normal") << tr("Fault") << tr("Off Normal") << tr("High Limit") << tr("Low Limit") << tr("Life Safety Alarm"), 0);
}

BacEventState::BacEventState(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Normal") << tr("Fault") << tr("Off Normal") << tr("High Limit") << tr("Low Limit") << tr("Life Safety Alarm"), value);
}

